/[gentoo]/xml/htdocs/doc/en/ati-faq.xml
Gentoo

Contents of /xml/htdocs/doc/en/ati-faq.xml

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.23 - (hide annotations) (download) (as text)
Sun May 29 09:55:26 2005 UTC (9 years, 1 month ago) by swift
Branch: MAIN
Changes since 1.22: +8 -8 lines
File MIME type: application/xml
Fix some spelling mistakes, no content change

1 peesh 1.1 <?xml version='1.0' encoding="UTF-8"?>
2 swift 1.23 <!-- $Header: /var/cvsroot/gentoo/xml/htdocs/doc/en/ati-faq.xml,v 1.22 2005/05/29 09:52:24 swift Exp $ -->
3 peesh 1.1 <!DOCTYPE guide SYSTEM "/dtd/guide.dtd">
4    
5     <guide link="/doc/en/ati-faq.xml">
6 swift 1.23 <title>Gentoo Linux ATI FAQ</title>
7 swift 1.22
8 swift 1.7 <author title="Author">
9     <mail link="lu_zero@gentoo.org">Luca Barbato</mail>
10 peesh 1.1 </author>
11 swift 1.7 <author title="Editor">
12     <mail link="peesh@gentoo.org">Jorge Paulo</mail>
13 peesh 1.1 </author>
14 swift 1.7 <author title="Editor">
15     <mail link="blubber@gentoo.org">Tiemo Kieft</mail>
16 blubber 1.5 </author>
17 peesh 1.1
18 swift 1.7 <abstract>
19     This FAQ should help users avoid some common installation and configuration
20 lu_zero 1.9 issues related to DRI and x11 for ATI boards.
21 swift 1.7 </abstract>
22 peesh 1.1
23 swift 1.3 <license/>
24    
25 swift 1.21 <version>1.0.8</version>
26     <date>2005-05-29</date>
27 peesh 1.1
28     <chapter>
29     <title>Hardware Support</title>
30     <section>
31 peesh 1.2 <title>Is my ATI board supported?</title>
32 peesh 1.1 <body>
33 swift 1.7
34     <p>
35     Almost every ATI board is supported by <uri
36 swift 1.22 link="http://www.freedesktop.org/Software/xorg">xorg-x11</uri>, at least for
37     the 2D accelerated features. The 3D support is provided either by <uri
38 swift 1.7 link="http://dri.sf.net">the DRI project</uri>, which is already present inside
39 lu_zero 1.9 the xorg-x11, or by closed source drivers <uri
40 swift 1.7 link="http://mirror.ati.com/support/drivers/linux/radeon-linux.html">
41     provided</uri> by ATI.
42 peesh 1.1 </p>
43    
44     <table>
45 swift 1.7 <tr>
46     <th>GPU</th>
47     <th>Common Name</th>
48     <th>Support</th>
49     </tr>
50     <tr>
51     <ti>rage128</ti>
52     <ti>Rage128</ti>
53 lu_zero 1.9 <ti>xorg DRI</ti>
54 swift 1.7 </tr>
55     <tr>
56     <ti>r100</ti>
57     <ti>Radeon7xxx, Radeon64</ti>
58 lu_zero 1.9 <ti>xorg DRI</ti>
59 swift 1.7 </tr>
60     <tr>
61 swift 1.13 <ti>r200, r250, r280</ti>
62     <ti>Radeon8500, Radeon9000, Radeon9200</ti>
63 lu_zero 1.9 <ti>xorg DRI, ATI DRI</ti>
64 swift 1.7 </tr>
65     <tr>
66     <ti>r300, following</ti>
67 swift 1.12 <ti>Radeon 9500 - 9800</ti>
68 lu_zero 1.9 <ti>xorg 2D, ATI DRI</ti>
69 swift 1.7 </tr>
70 peesh 1.1 </table>
71    
72     </body>
73     </section>
74     <section>
75 swift 1.7 <title>
76 swift 1.22 I have an All-In-Wonder/Vivo board. Are the multimedia features supported?
77 swift 1.7 </title>
78 peesh 1.1 <body>
79 swift 1.7
80     <p>
81     The multimedia features are actually supported by <uri
82 swift 1.23 link="http://gatos.sf.net">the GATOS project</uri>, the GATOS drivers will be
83 swift 1.22 merged in the xorg tree shortly.
84 swift 1.7 </p>
85    
86 peesh 1.1 </body>
87     </section>
88     <section>
89     <title>I'm not using an x86. What are my options?</title>
90     <body>
91 swift 1.7
92     <p>
93 swift 1.23 You have almost the same x11 support on PPC or Alpha platform but you can't
94 swift 1.7 use the ATI closed source drivers. That means that you can't use the r300 3d
95 lu_zero 1.11 features at all. If you have such a board and you want it supported by x11,
96 swift 1.7 you should contact <uri link="http://www.ati.com">ATI</uri> and ask them to open
97 swift 1.23 the specs. Recently the AMD64 closed source driver has been released. AMD64
98 swift 1.22 users can use it as the x86 users.
99 swift 1.7 </p>
100    
101 lu_zero 1.19 <impo>
102 swift 1.23 In order to enable the agpgart for certain AMD64 chip sets you have to disable
103 swift 1.22 the K8 IOMMU support
104 lu_zero 1.19 </impo>
105    
106 peesh 1.1 </body>
107     </section>
108     <section>
109 peesh 1.2 <title>I have a laptop. Is my "mobility" ATI model supported?</title>
110 peesh 1.1 <body>
111 swift 1.7
112     <p>
113     It should be but you may have a configuration issue due to the OEM PCI id that
114     such chips may have. In most cases you may have to write the configuration file
115 lu_zero 1.9 yourself or use the <c>xorgconfig</c>.
116 peesh 1.1 </p>
117    
118     </body>
119     </section>
120     </chapter>
121    
122     <chapter>
123     <title>Installation</title>
124     <section>
125     <title>Packages</title>
126     <body>
127 swift 1.7
128 swift 1.17 <ul>
129 swift 1.22 <li>The <c>xorg-x11</c> ebuild provides the X11 implementation</li>
130     <li>
131     For a 2.6.x kernel the DRI modules can be built with the kernel or be
132     provided by the <c>x11-drm</c> ebuild
133     </li>
134     <li>
135     For a 2.4.x kernel series you must use the <c>x11-drm</c> ebuild
136     </li>
137     <li>
138     The <c>ati-drivers</c> ebuild provides the ATI closed source X drivers
139     and kernel modules, for both the 2.4 and 2.6 series kernels
140     </li>
141 swift 1.17 </ul>
142 swift 1.7
143 swift 1.21 <p>
144     If you want to use ATI's <e>internal</e> agpgart support instead of the Linux
145 swift 1.23 kernel one, the agpgart driver and the chip set specific driver (in your kernel
146 swift 1.21 configuration) must be built as modules or not at all.
147     </p>
148 swift 1.7
149 swift 1.17 <pre caption="Installing drivers">
150 neysx 1.18 <comment>(If you want just the Rage128 drivers and modules installed with x11)</comment>
151 lu_zero 1.9 # <i>VIDEO_CARDS="rage128" emerge x11-drm</i>
152 neysx 1.18 <comment>(To have just the Radeon support)</comment>
153     <comment>(r100, r200, r250, but not r300 yet)</comment>
154 lu_zero 1.9 # <i>VIDEO_CARDS="radeon" emerge x11-drm</i>
155 neysx 1.18 <comment>(To install the ATI closed source drivers)</comment>
156     <comment>(r200,r250 and r300 only)</comment>
157 blubber 1.5 # <i>emerge ati-drivers</i>
158 neysx 1.18 <comment>(To install just X11 but not install)</comment>
159     <comment>(any kernel module)</comment>
160 lu_zero 1.9 # <i>emerge xorg-x11</i>
161 peesh 1.1 </pre>
162 swift 1.7
163 peesh 1.1 </body>
164     </section>
165     <section>
166     <title>Configuration</title>
167     <body>
168 swift 1.7
169     <p>
170 lu_zero 1.9 It is suggested the use of <c>xorgcfg</c>, <c>xorgconfig</c> or directly by
171 lu_zero 1.11 using the Xorg auto configuration option:
172 swift 1.7 </p>
173    
174 lu_zero 1.10 <pre caption="Autoconfiguring X">
175 blubber 1.5 # <i>X -configure</i>
176 peesh 1.1 </pre>
177 swift 1.7
178     <p>
179 lu_zero 1.9 For more information on how to get a basic <c>xorg.conf</c> configuration file,
180 swift 1.8 please refer to the <uri link="http://www.gentoo.org/doc/en/desktop.xml">Gentoo
181     Desktop Documentation Resources</uri>.
182 swift 1.7 </p>
183    
184     <note>
185     Users of the ati-drivers can also use <c>fglrxconfig</c>.
186     </note>
187    
188     <impo>
189 swift 1.23 PPC users could use the <c>Xautoconf</c> stand alone configuration tool by
190 lu_zero 1.14 emerging the <c>Xautoconf</c> ebuild, but isn't required.
191 swift 1.7 </impo>
192    
193 peesh 1.1 </body>
194     </section>
195     </chapter>
196     </guide>

  ViewVC Help
Powered by ViewVC 1.1.20